<?php
/**
 * $Horde: juno/lib/prefs.php,v 1.2 2005/01/03 14:35:10 jan Exp $
 *
 * Copyright 1999-2005 Chuck Hagenbuch <chuck@horde.org>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://www.horde.org/licenses/bsdl.php.
 */

function handle_portfolio_select($updated)
{
    $symbol = Util::getFormData('symbol');
    $shares = Util::getFormData('shares');

    $portfolio = array();
    foreach ($symbol as $i => $s) {
        if (!empty($s)) {
            if (!empty($shares[$i])) {
                $portfolio[] = array(trim($s), trim($shares[$i]));
            } else {
                $portfolio[] = array(trim($s), '*');
            }
        }
    }

    Juno::prefEncode('portfolio', $portfolio);
    return true;
}
