<?php
/**
 * $Horde: juno/stocks/chart.php,v 1.6 2005/01/03 14:35:11 jan Exp $
 *
 * Copyright 2003-2005 Chuck Hagenbuch <chuck@horde.org>
 *
 * Returns a chart for the specified ticker symbol.
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://cvs.horde.org/co.php/juno/LICENSE.
 */

@define('JUNO_BASE', dirname(__FILE__) . '/..');
require_once JUNO_BASE . '/lib/base.php';
require_once JUNO_BASE . '/lib/Stocks.php';

$symbol = String::lower(Util::getFormData('ticker'));
$stocks = &Juno_Stocks::singleton('yahoo');
$chart = $stocks->getChart($symbol);

$browser->downloadHeaders($symbol . '.png', 'image/png', true, strlen($chart));
echo $chart;
