<?php
/**
 * The Juno script to list the available accounting books.
 *
 * Copyright 2003-2005 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file COPYING for license information (GPL). If you did not
 * receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * $Horde: juno/lists/index.php,v 1.11 2005/01/03 14:35:10 jan Exp $
 *
 * @todo This should be an overview page for the lists, showing a some
 *       shortcut actions to the available lists.
 */

@define('JUNO_BASE', dirname(__FILE__) . '/..');
require_once JUNO_BASE . '/lib/base.php';

$template = &new Horde_Template();
$template->set('menu', Juno::getMenu('string'));
$template->set('tabs', Juno::getTabs('lists'), true);
$template->set('notify', Util::bufferOutput(array($notification, 'notify')));

require JUNO_TEMPLATES . '/common-header.inc';
echo $template->fetch(JUNO_BASE . '/templates/lists/index.html');
require $registry->get('templates', 'horde') . '/common-footer.inc';
